*****************************************************************************
* Modulname:	LIB1538L
* Modultype:	ApLet supporting library
* Dest.Comp.:	HP38G
* Language:	System RPL
* Author:	Detlef Mueller, Bellerbek 33, 22559 Hamburg, +49 40 8119280
* Interface:
* Description:
* To do:
*
* $Id: lib1538l.s 1.2 1999/05/02 00:54:15 Detlef Rel $
*
* Revision history:
*
* $Log: lib1538l.s $
* Revision 1.2  1999/05/02 00:54:15  Detlef
* Renamed nXTT to view01_CApLet to match name convention. Named
* the library "CApLet" -- Port0Ids seems to crash when it encounters
* a nameless library (SYSEVAL 535873 -- provided on Jim's page...)
*
* Revision 1.1  1999/02/28 14:33:29  Detlef
* Initial revision
*
*****************************************************************************

    TITLE	Library

*****************************************************************************
*		INCLUDE FILES
*****************************************************************************


*****************************************************************************
*		ROMPART header
*****************************************************************************

ASSEMBLE

RomId	EQU	#602

	NIBASC	/HP38BinH/
	CON(2)	8
	NIBASC	/LIB1538L/

Lib602	CON(5)	=DOLIB
=LIB
	REL(5)	SYSEND
	CON(2)	6
	NIBASC	/CApLet/	Library name
	CON(2)	6
=SYS	CON(3)	RomId		Rom ID
	CON(5)	0		Hash table
	CON(5)	0		Message table
	REL(5)	LinK		Link table
	CON(5)	0		Configuration secondary

***************************************
*	ROMPTR Definitions
***************************************

~view01_CApLet	EQU	(RomId)+4096*0

*****************************************************************************
*		ROMPART linktable
*****************************************************************************

LinK
	CON(5)	=DOHSTR
	REL(5)	enDLink
*				ROMPTR
	REL(5)	view01_CApLet	0
enDLink

RPL


*****************************************************************************
*		OBJECTS
*****************************************************************************


*** view01_CApLet ***********************************************************
* Interface :	( --> )
* Description :	Provide a fully defined property list field for the plot view
*****************************************************************************

ASSEMBLE

DummyVarProc	EQU	#5D4F1

	CON(1)	4
	CON(6)	~view01_CApLet

view01_CApLet
RPL

::
;

{
    ::	ZERO INT_00		( plot view -- as in view01_CAPLET )
    ;
    ::	ONE  INT_00		( plot setup view -- as in view01_CAPLET )
    ;
    FALSE
    NOP
    DummyVarProc
    NULL{}
}


*****************************************************************************
*		ROMPART end
*****************************************************************************

ASSEMBLE

	CON(4)	0			CRC
=SYSEND

RPL

*****************************************************************************
*		End of LIB1538L.S
*****************************************************************************